import DataLoader from 'dataloader';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetAllDividendsResult } from '../types.js';
export declare class DividendsProvider {
    private db;
    constructor(db: TenantAwareDBClient);
    private allDividendsCache;
    getAllDividends(): Promise<IGetAllDividendsResult[]>;
    private batchDividendsByChargeIds;
    getDividendsByChargeIdLoader: DataLoader<string, import("../types.js").IGetDividendsByChargeIdResult[], string>;
    private batchDividendsByBusinessIds;
    getDividendsByBusinessIdLoader: DataLoader<string, import("../types.js").IGetDividendsByBusinessIdsResult[], string>;
    clearCache(): void;
}
